%define	module	BSD-Resource

Summary:	BSD process resource limit and priority functions
Name:		perl-%{module}
Version:	1.29
Release:	%mkrel 2
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}/
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/BSD/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
%{module} module for perl

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%{__make} test

%install
rm -rf %{buildroot}

%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog README
%{perl_vendorarch}/BSD
%{perl_vendorarch}/auto/BSD
%{_mandir}/man*/*




%changelog
* Tue Jun 17 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.29-2mdv2009.0
+ Revision: 223569
- rebuild

* Tue Jan 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.29-1mdv2008.1
+ Revision: 159931
- update to new version 1.29

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.28-3mdv2008.1
+ Revision: 151466
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 09:25:58 (63274)
- rebuild

* Sat Oct 07 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-06 07:11:30 (62910)
- Import perl-BSD-Resource

* Tue May 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.28-1mdv2007.0
- New release 1.28

* Wed May 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.26-1mdk
- 1.26

* Wed Apr 12 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.25-2mdk
- better source URL

* Wed Apr 12 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.25-1mdk
- 1.25

* Wed Dec 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.24-4mdk
- %%mkrel
- fix optimisations
- fix directory ownership
- better summary
- rpmbuildupdate aware
- spec cleanup

* Fri Jun 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.24-3mdk
- Rebuild

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.24-2mdk
- Rebuild for new perl

* Tue Apr 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.24-1mdk
- 1.24
- disable test

